> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simplified.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server.

# PM · Deps · Remove a dependency by relationship_id (from getTaskDependencies)

DELETE https://api.simplified.com/api/v1/pm/tasks/{task_id}/dependencies/{relationship_id}

Remove a dependency relationship by its `relationship_id`. Get the
`relationship_id` from `getTaskDependencies` — it is the UUID on each
entry in the `blocks`, `blocked_by`, or `related` arrays.


Reference: https://docs.simplified.com/api-reference/project-manager/dependencies/remove-task-dependency

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key   `) — Header authentication of the form `Api-Key  <token>`
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `task_id` (string, required)
- `relationship_id` (string, required)

### Headers

- `Organization` (string, optional) — Workspace (organization) ID the request is scoped to.
- `Space` (string, optional) — Optional sub-space ID for further scoping inside the workspace.

## Response

### 204

Dependency removed.

## Examples

**SDK Code**

```python
import requests

url = "https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id"

headers = {"Authorization": "Api-Key  <apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id';
const options = {method: 'DELETE', headers: {Authorization: 'Api-Key  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Api-Key  <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Api-Key  <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id")
  .header("Authorization", "Api-Key  <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id', [
  'headers' => [
    'Authorization' => 'Api-Key  <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Api-Key  <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Api-Key  <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/pm/tasks/task_id/dependencies/relationship_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```